Bug 1316676 - Review Request: tlog - terminal I/O logger
Review Request: tlog - terminal I/O logger
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 13:24 EST by Nikolai Kondrashov
Modified: 2016-04-17 09:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jhrozek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nikolai Kondrashov 2016-03-10 13:24:56 EST
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/nkondras/tlog/tlog.git/plain/tlog.spec?id=37448f9d2cf07eccb3ce2edc046666823264b14a

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/nkondras/tlog/fedora-rawhide-x86_64/00167239-tlog/tlog-2-1.fc25.src.rpm

Description:
    Tlog is a terminal I/O recording program similar to "script", but used in
    place of a user's shell, starting the recording and executing the real user's
    shell afterwards. The recorded I/O can then be forwarded to a logging server
    in JSON format.

Fedora Account System Username: nkondras

COPR build: https://copr.fedorainfracloud.org/coprs/nkondras/tlog/build/167239/
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13299117

rpmlint:
    $ rpmlint tlog.spec
    tlog.spec: W: invalid-url Source0: tlog-2.tar.gz
    0 packages and 1 specfiles checked; 0 errors, 1 warnings.
    $ rpmlint /home/nkondras/rpmbuild/SRPMS/tlog-2-1.fc22.src.rpm 
    tlog.src: W: invalid-url Source0: tlog-2.tar.gz
    1 packages and 0 specfiles checked; 0 errors, 1 warnings.
    $ rpmlint /home/nkondras/rpmbuild/RPMS/x86_64/tlog-2-1.fc22.x86_64.rpm 
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    $ rpmlint -i tlog
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.

The .spec file refers just to the file name, because there's no release yet
and the .spec file is used to build git HEAD. The package above was built from
distribution tarball of revision e0a2fd95 of https://github.com/Scribery/tlog

The aim is to get the first review response and later do a proper release of
the package and submit the corrected .spec. Please excuse me, if this is
unacceptable, say so right away and I'll fix it.
Comment 1 Soumya Koduri 2016-03-20 13:41:21 EDT
As per the fedora-review guidelines, one of the MUST items is that 
 MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git.

Please correct your .spec file as per https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL.

Other issue which were reported while using fedora-review are :

Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


licencecheck.txt on running fedora-review:

GPL (v2 or later)
-----------------
tlog-2/include/tlog/conf_origin.h
tlog-2/include/tlog/es_json_reader.h
tlog-2/include/tlog/fd_json_reader.h
tlog-2/include/tlog/fd_json_writer.h
tlog-2/include/tlog/grc.h
tlog-2/include/tlog/json_chunk.h
tlog-2/include/tlog/json_dispatcher.h
tlog-2/include/tlog/json_misc.h
tlog-2/include/tlog/json_msg.h
tlog-2/include/tlog/json_reader.h
tlog-2/include/tlog/json_reader_type.h
tlog-2/include/tlog/json_sink.h
tlog-2/include/tlog/json_source.h
tlog-2/include/tlog/json_stream.h
tlog-2/include/tlog/json_writer.h
tlog-2/include/tlog/json_writer_type.h
tlog-2/include/tlog/mem_json_reader.h
tlog-2/include/tlog/mem_json_writer.h
tlog-2/include/tlog/misc.h
tlog-2/include/tlog/pkt.h
tlog-2/include/tlog/play_conf.h
tlog-2/include/tlog/play_conf_cmd.h
tlog-2/include/tlog/play_conf_validate.h
tlog-2/include/tlog/rc.h
tlog-2/include/tlog/rec_conf.h
tlog-2/include/tlog/rec_conf_cmd.h
tlog-2/include/tlog/rec_conf_validate.h
tlog-2/include/tlog/sink.h
tlog-2/include/tlog/sink_type.h
tlog-2/include/tlog/source.h
tlog-2/include/tlog/source_type.h
tlog-2/include/tlog/syslog_json_writer.h
tlog-2/include/tlog/syslog_misc.h
tlog-2/include/tlog/test_json_sink.h
tlog-2/include/tlog/test_json_source.h
tlog-2/include/tlog/test_json_stream_enc.h
tlog-2/include/tlog/test_misc.h
tlog-2/include/tlog/trx.h
tlog-2/include/tlog/trx_act.h
tlog-2/include/tlog/trx_basic.h
tlog-2/include/tlog/trx_frame.h
tlog-2/include/tlog/trx_iface.h
tlog-2/include/tlog/trx_level.h
tlog-2/include/tlog/trx_state.h
tlog-2/include/tlog/tty_sink.h
tlog-2/include/tlog/tty_source.h
tlog-2/include/tlog/utf8.h
tlog-2/lib/es_json_reader.c
tlog-2/lib/fd_json_reader.c
tlog-2/lib/fd_json_writer.c
tlog-2/lib/grc.c
tlog-2/lib/json_chunk.c
tlog-2/lib/json_dispatcher.c
tlog-2/lib/json_misc.c
tlog-2/lib/json_msg.c
tlog-2/lib/json_reader.c
tlog-2/lib/json_sink.c
tlog-2/lib/json_source.c
tlog-2/lib/json_stream.c
tlog-2/lib/json_writer.c
tlog-2/lib/mem_json_reader.c
tlog-2/lib/mem_json_writer.c
tlog-2/lib/misc.c
tlog-2/lib/pkt.c
tlog-2/lib/play_conf.c
tlog-2/lib/rc.c
tlog-2/lib/rec_conf.c
tlog-2/lib/sink.c
tlog-2/lib/source.c
tlog-2/lib/syslog_json_writer.c
tlog-2/lib/syslog_misc.c
tlog-2/lib/test_json_sink.c
tlog-2/lib/test_json_source.c
tlog-2/lib/test_json_stream_enc.c
tlog-2/lib/test_misc.c
tlog-2/lib/tty_sink.c
tlog-2/lib/tty_source.c
tlog-2/lib/utf8.c
tlog-2/ltmain.sh
tlog-2/src/tlog-play.c
tlog-2/src/tlog-rec.c
tlog-2/src/tlog-test-fd-json-reader.c
tlog-2/src/tlog-test-grc.c
tlog-2/src/tlog-test-json-overlay.c
tlog-2/src/tlog-test-json-passthrough.c
tlog-2/src/tlog-test-json-sink.c
tlog-2/src/tlog-test-json-source.c
tlog-2/src/tlog-test-json-stream-btoa.c
tlog-2/src/tlog-test-json-stream-enc-bin.c
tlog-2/src/tlog-test-json-stream-enc-txt.c
tlog-2/src/tlog-test-json-stream.c

MIT/X11 (BSD like)
------------------
tlog-2/install-sh

Unknown or generated
--------------------
tlog-2/COPYING
tlog-2/README.md
tlog-2/ar-lib
tlog-2/compile
tlog-2/configure
tlog-2/depcomp
tlog-2/doc/log_format.md
tlog-2/lib/play_conf_cmd.c
tlog-2/lib/play_conf_validate.c
tlog-2/lib/rec_conf_cmd.c
tlog-2/lib/rec_conf_validate.c
tlog-2/missing
tlog-2/test-driver
Comment 2 Soumya Koduri 2016-03-20 13:57:40 EDT
Here are the results generated while using fedora-review tool. Please note that I am not yet sponsored to packager group. Hence my review comments are unofficial. 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2 or later)", "Unknown or
     generated". 13 files have unknown license. Detailed output of
     licensecheck in /home/skoduri/fedora-
     pkgs/1316676-tlog/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/tlog
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/tlog
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[?]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[?]: Scriptlets must be sane, if used.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tlog-2-1.fc24.x86_64.rpm
          tlog-2-1.fc24.src.rpm
tlog.src: W: invalid-url Source0: tlog-2.tar.gz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: tlog-debuginfo-2-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
tlog (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    config(tlog)
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libjson-c.so.2()(64bit)
    libtlog.so.0()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
tlog:
    config(tlog)
    libtlog.so.0()(64bit)
    tlog
    tlog(x86-64)



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1316676
Buildroot used: fedora-24-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Nikolai Kondrashov 2016-03-21 09:42:08 EDT
Thank you, Soumya!

I'll work on the issues. However, I have a few questions:

* I'd like to have the same .spec file work on RHEL6 and using %license breaks it there. Is %license required? If yes, is there a good way to make its use conditional?

* What needs to be done regarding the licencecheck.txt contents? I.e. regarding some files missing the license notice and one file having the MIT/X11 license (which is included into any package using autotools, actually)?
Comment 4 Soumya Koduri 2016-03-23 03:06:55 EDT
(In reply to Nikolai Kondrashov from comment #3)
> Thank you, Soumya!
> 
> I'll work on the issues. However, I have a few questions:
> 
> * I'd like to have the same .spec file work on RHEL6 and using %license
> breaks it there. Is %license required? If yes, is there a good way to make
> its use conditional?

yes. As per Fedora packaging guidelines, %license is required. Below link may give some pointers on how to make it conditional.

https://fedoraproject.org/wiki/EPEL:Packaging
>>>>>>
The %license tag

The license tag is not supported by EL5. This can be worked around by adding the following magic just after %files:

%{!?_licensedir:%global license %doc}

This does not need to be made conditional on any specific Fedora or EPEL release; it does nothing on the releases which already have %license 
<<<<<<<


> 
> * What needs to be done regarding the licencecheck.txt contents? I.e.
> regarding some files missing the license notice and one file having the
> MIT/X11 license (which is included into any package using autotools,
> actually)?

License (Copyright) text has to be added to all the files in the sources (with the exception to the auto-generated files).
Comment 5 Jakub Hrozek 2016-03-30 09:00:07 EDT
I mostly agree with Soumya's comments. Two additional I have are:
1) I wonder if on EPEL-5 you need to also use defattr in the specfile? Did you try to build the srpm in EPEL-5 mock?
2) The description block seems to be indented with a space, is that intentional?
Comment 6 Nikolai Kondrashov 2016-04-08 11:01:33 EDT
Hi Soumya, Jakub,

Here's my corrected package and .spec file.

Source RPM:
https://github.com/Scribery/tlog/releases/download/v2/tlog-2-1.fc22.src.rpm

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13595353

COPR build:
https://copr.fedorainfracloud.org/coprs/nkondras/tlog/build/174028/

Changes include:

- The .spec file refers to an actual release tarball, available for download.
  Although rpmlint gets 403 response for some reason (still to be figured
  out, COPR downloaded the SRPM without a problem from there). NOTE that the
  source RPM uses md5 digest for compatibility with EPEL5.
- Package uses %{buildroot} only.
- The .spec file uses %license with a workaround for RHEL6 and older as
  suggested by Soumya.
- Package owns all directories and files it creates now.
- The package now builds on EPEL5. There was no complaint during the RPM build
  about the defattr not being used.
- One-space indent removed from package description (was a habitual mistake
  coming from Debian packaging)

I haven't added a license notice to any of the "unknown or generated" files in
the licensecheck.txt because those were generated, plain-text documentation
files, or otherwise, specifically:

tlog-2/COPYING                      - the license file itself
tlog-2/README.md                    - plain-text documentation for direct
                                      human consumption
tlog-2/ar-lib                       - generated file
tlog-2/compile                      - generated file
tlog-2/configure                    - generated file
tlog-2/depcomp                      - generated file
tlog-2/doc/log_format.md            - plain-text documentation for direct
                                      human consumption
tlog-2/lib/play_conf_cmd.c          - generated source code
tlog-2/lib/play_conf_validate.c     - generated source code
tlog-2/lib/rec_conf_cmd.c           - generated source code
tlog-2/lib/rec_conf_validate.c      - generated source code
tlog-2/missing                      - generated file
tlog-2/test-driver                  - generated file
Comment 7 Jakub Hrozek 2016-04-11 14:44:06 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2 or later)", "Unknown or
     generated". 13 files have unknown license. Detailed output of
     licensecheck in /home/remote/jhrozek/1316676-tlog/licensecheck.txt
 -- the specfile says GPLv2, but the sources look like GPLv2+, can you clarify?

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[-]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
     -- maybe you can conditionalize Buildroot?

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tlog-2-1.fc22.x86_64.rpm
          tlog-2-1.fc22.src.rpm
tlog.src: W: invalid-url Source0: https://github.com/Scribery/tlog/releases/download/v2/tlog-2.tar.gz HTTP Error 403: Forbidden
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: tlog-debuginfo-2-1.fc22.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
tlog (rpmlib, GLIBC filtered):
    /bin/sh
    config(tlog)
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libjson-c.so.2()(64bit)
    librt.so.1()(64bit)
    libtlog.so.0()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)
    sed



Provides
--------
tlog:
    config(tlog)
    libtlog.so.0()(64bit)
    tlog
    tlog(x86-64)



Source checksums
----------------
https://github.com/Scribery/tlog/releases/download/v2/tlog-2.tar.gz :
  CHECKSUM(SHA256) this package     : f00afcbf2570b29cc47069fdffc0568056e13d735b467823cf90a15ce364d1b4
  CHECKSUM(SHA256) upstream package : f00afcbf2570b29cc47069fdffc0568056e13d735b467823cf90a15ce364d1b4


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1316676
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Jakub Hrozek 2016-04-11 14:44:46 EDT
tl;dr - We should double-check the license and optionally check if we can conditionalize buildroot, but that's really not a big deal. Otherwise looks good!
Comment 9 Nikolai Kondrashov 2016-04-11 14:57:05 EDT
Thanks, Jakub!

Hmm, the .spec file actually specifies GPLv2+. I'm not sure what's happening here. Could it actually be complaining about install-sh being MIT/X11 license, which isn't mentioned in the .spec file?

Sure, I can put BuildRoot under condition, but I'm not sure which it should be, could you suggest something? Should I also add its removal to the start of %install section?
Comment 10 Jakub Hrozek 2016-04-12 04:34:35 EDT
(In reply to Nikolai Kondrashov from comment #9)
> Thanks, Jakub!
> 
> Hmm, the .spec file actually specifies GPLv2+. I'm not sure what's happening
> here. Could it actually be complaining about install-sh being MIT/X11
> license, which isn't mentioned in the .spec file?
> 

Ooops, I need to apologize, you're right. Sorry, I was going through several specfiles (doing rebuilds of different packages today..) so I must have mixed tlog and another one.

tlog correctly specifies GPLv2+ so please ignore my comment and consider that part acked.

> Sure, I can put BuildRoot under condition, but I'm not sure which it should
> be, could you suggest something? Should I also add its removal to the start
> of %install section?

I think this can be ignored as well, I check SSSD specfiles and we also have BuildRoot specified even for new branches.

So unless Soumya has more comments, I would like to approve the package.
Comment 11 Nikolai Kondrashov 2016-04-13 04:29:34 EDT
No problem, thanks a lot for the review, Jakub!

Soumya, do you have anything against approving this package?
Comment 12 Jakub Hrozek 2016-04-14 05:41:51 EDT
I guess everybody is happy. If not, we can always fix other issues later, post-import :-)
Comment 13 Jakub Hrozek 2016-04-14 05:42:14 EDT
This package is APPROVED.
Comment 14 Till Maas 2016-04-14 17:47:07 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/tlog
Comment 15 Nikolai Kondrashov 2016-04-15 08:54:35 EDT
Thanks, Jakub and Soumya!
Comment 16 Soumya Koduri 2016-04-17 09:31:52 EDT
Sorry for the delay. I do not have any further comments. The specfile looks good to me too.

Note You need to log in before you can comment on or make changes to this bug.